/* gplib - GNU PIC librarian
   Copyright 2001-2005	Craig Franklin
   Copyright 2016	Molnár Károly
*/

#pragma once

enum lib_modes {
  AR_NULL,
  AR_CREATE,
  AR_DELETE,
  AR_EXTRACT,
  AR_LIST,
  AR_REPLACE,
  AR_SYMBOLS,
};

#define GPLIB_VERSION_STRING        ("gplib-" VERSION " #" REVISION " (" __DATE__ ")")

#include <list>

extern struct gplib_state {
  lib_modes mode;			// operating mode
  const char* filename;			// library file name
  std::list<const char*> objectnames;	// the list of object filenames
  gp_archive_t*archive;			// internal archive format
} state;
